//#define XERR "memorybuf"
//#define SRC XERR "/" __FILE__ ": "

#include "memorybuf.ih"

    // by seekoff.cc underflow.cc

void MemoryBuf::checkWrittenUntil()
{
    if (pbase() != 0)
        d_bridge.writtenUntil(d_bridge.blockBegin() + pptr() - pbase());
}
